1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Id
18
19# Id
20
21# Id
22
23
24
25VPATH = @srcdir@
26am__is_gnu_make = { \
27  if test -z '$(MAKELEVEL)'; then \
28    false; \
29  elif test -n '$(MAKE_HOST)'; then \
30    true; \
31  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
32    true; \
33  else \
34    false; \
35  fi; \
36}
37am__make_running_with_option = \
38  case $${target_option-} in \
39      ?) ;; \
40      *) echo "am__make_running_with_option: internal error: invalid" \
41              "target option '$${target_option-}' specified" >&2; \
42         exit 1;; \
43  esac; \
44  has_opt=no; \
45  sane_makeflags=$$MAKEFLAGS; \
46  if $(am__is_gnu_make); then \
47    sane_makeflags=$$MFLAGS; \
48  else \
49    case $$MAKEFLAGS in \
50      *\\[\ \	]*) \
51        bs=\\; \
52        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
53          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
54    esac; \
55  fi; \
56  skip_next=no; \
57  strip_trailopt () \
58  { \
59    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
60  }; \
61  for flg in $$sane_makeflags; do \
62    test $$skip_next = yes && { skip_next=no; continue; }; \
63    case $$flg in \
64      *=*|--*) continue;; \
65        -*I) strip_trailopt 'I'; skip_next=yes;; \
66      -*I?*) strip_trailopt 'I';; \
67        -*O) strip_trailopt 'O'; skip_next=yes;; \
68      -*O?*) strip_trailopt 'O';; \
69        -*l) strip_trailopt 'l'; skip_next=yes;; \
70      -*l?*) strip_trailopt 'l';; \
71      -[dEDm]) skip_next=yes;; \
72      -[JT]) skip_next=yes;; \
73    esac; \
74    case $$flg in \
75      *$$target_option*) has_opt=yes; break;; \
76    esac; \
77  done; \
78  test $$has_opt = yes
79am__make_dryrun = (target_option=n; $(am__make_running_with_option))
80am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
81pkgdatadir = $(datadir)/@PACKAGE@
82pkgincludedir = $(includedir)/@PACKAGE@
83pkglibdir = $(libdir)/@PACKAGE@
84pkglibexecdir = $(libexecdir)/@PACKAGE@
85am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
86install_sh_DATA = $(install_sh) -c -m 644
87install_sh_PROGRAM = $(install_sh) -c
88install_sh_SCRIPT = $(install_sh) -c
89INSTALL_HEADER = $(INSTALL_DATA)
90transform = $(program_transform_name)
91NORMAL_INSTALL = :
92PRE_INSTALL = :
93POST_INSTALL = :
94NORMAL_UNINSTALL = :
95PRE_UNINSTALL = :
96POST_UNINSTALL = :
97build_triplet = @build@
98host_triplet = @host@
99@versionscript_TRUE@am__append_1 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
100noinst_PROGRAMS = compile_et$(EXEEXT)
101subdir = lib/com_err
102ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
103am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
104	$(top_srcdir)/cf/auth-modules.m4 \
105	$(top_srcdir)/cf/broken-glob.m4 \
106	$(top_srcdir)/cf/broken-realloc.m4 \
107	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
108	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
109	$(top_srcdir)/cf/capabilities.m4 \
110	$(top_srcdir)/cf/check-compile-et.m4 \
111	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
112	$(top_srcdir)/cf/check-man.m4 \
113	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
114	$(top_srcdir)/cf/check-type-extra.m4 \
115	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/crypto.m4 \
116	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
117	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
118	$(top_srcdir)/cf/find-func-no-libs.m4 \
119	$(top_srcdir)/cf/find-func-no-libs2.m4 \
120	$(top_srcdir)/cf/find-func.m4 \
121	$(top_srcdir)/cf/find-if-not-broken.m4 \
122	$(top_srcdir)/cf/framework-security.m4 \
123	$(top_srcdir)/cf/have-struct-field.m4 \
124	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
125	$(top_srcdir)/cf/krb-bigendian.m4 \
126	$(top_srcdir)/cf/krb-func-getlogin.m4 \
127	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
128	$(top_srcdir)/cf/krb-prog-perl.m4 \
129	$(top_srcdir)/cf/krb-readline.m4 \
130	$(top_srcdir)/cf/krb-struct-spwd.m4 \
131	$(top_srcdir)/cf/krb-struct-winsize.m4 \
132	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
133	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
134	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
135	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
136	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
137	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
138	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
139	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
140	$(top_srcdir)/cf/roken-frag.m4 \
141	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
142	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
143	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
144	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
145	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
146am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
147	$(ACLOCAL_M4)
148DIST_COMMON = $(srcdir)/Makefile.am $(include_HEADERS) \
149	$(am__DIST_COMMON)
150mkinstalldirs = $(install_sh) -d
151CONFIG_HEADER = $(top_builddir)/include/config.h
152CONFIG_CLEAN_FILES =
153CONFIG_CLEAN_VPATH_FILES =
154PROGRAMS = $(noinst_PROGRAMS)
155am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
156am__vpath_adj = case $$p in \
157    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
158    *) f=$$p;; \
159  esac;
160am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
161am__install_max = 40
162am__nobase_strip_setup = \
163  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
164am__nobase_strip = \
165  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
166am__nobase_list = $(am__nobase_strip_setup); \
167  for p in $$list; do echo "$$p $$p"; done | \
168  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
169  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
170    if (++n[$$2] == $(am__install_max)) \
171      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
172    END { for (dir in files) print dir, files[dir] }'
173am__base_list = \
174  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
175  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
176am__uninstall_files_from_dir = { \
177  test -z "$$files" \
178    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
179    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
180         $(am__cd) "$$dir" && rm -f $$files; }; \
181  }
182am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
183LTLIBRARIES = $(lib_LTLIBRARIES)
184am__DEPENDENCIES_1 =
185dist_libcom_err_la_OBJECTS = libcom_err_la-error.lo \
186	libcom_err_la-com_err.lo
187@do_roken_rename_TRUE@nodist_libcom_err_la_OBJECTS =  \
188@do_roken_rename_TRUE@	libcom_err_la-snprintf.lo \
189@do_roken_rename_TRUE@	libcom_err_la-strlcpy.lo
190libcom_err_la_OBJECTS = $(dist_libcom_err_la_OBJECTS) \
191	$(nodist_libcom_err_la_OBJECTS)
192AM_V_lt = $(am__v_lt_@AM_V@)
193am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
194am__v_lt_0 = --silent
195am__v_lt_1 = 
196libcom_err_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
197	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
198	$(libcom_err_la_LDFLAGS) $(LDFLAGS) -o $@
199am_compile_et_OBJECTS = compile_et.$(OBJEXT) parse.$(OBJEXT) \
200	lex.$(OBJEXT)
201compile_et_OBJECTS = $(am_compile_et_OBJECTS)
202compile_et_DEPENDENCIES = libcom_err.la $(am__DEPENDENCIES_1) \
203	$(am__DEPENDENCIES_1)
204AM_V_P = $(am__v_P_@AM_V@)
205am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
206am__v_P_0 = false
207am__v_P_1 = :
208AM_V_GEN = $(am__v_GEN_@AM_V@)
209am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
210am__v_GEN_0 = @echo "  GEN     " $@;
211am__v_GEN_1 = 
212AM_V_at = $(am__v_at_@AM_V@)
213am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
214am__v_at_0 = @
215am__v_at_1 = 
216depcomp = $(SHELL) $(top_srcdir)/depcomp
217am__maybe_remake_depfiles = depfiles
218am__depfiles_remade = ./$(DEPDIR)/compile_et.Po ./$(DEPDIR)/lex.Po \
219	./$(DEPDIR)/libcom_err_la-com_err.Plo \
220	./$(DEPDIR)/libcom_err_la-error.Plo \
221	./$(DEPDIR)/libcom_err_la-snprintf.Plo \
222	./$(DEPDIR)/libcom_err_la-strlcpy.Plo ./$(DEPDIR)/parse.Po
223am__mv = mv -f
224COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
225	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
226LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
227	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
228	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
229	$(AM_CFLAGS) $(CFLAGS)
230AM_V_CC = $(am__v_CC_@AM_V@)
231am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
232am__v_CC_0 = @echo "  CC      " $@;
233am__v_CC_1 = 
234CCLD = $(CC)
235LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
236	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
237	$(AM_LDFLAGS) $(LDFLAGS) -o $@
238AM_V_CCLD = $(am__v_CCLD_@AM_V@)
239am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
240am__v_CCLD_0 = @echo "  CCLD    " $@;
241am__v_CCLD_1 = 
242@MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
243LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
244LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
245	$(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
246AM_V_LEX = $(am__v_LEX_@AM_V@)
247am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
248am__v_LEX_0 = @echo "  LEX     " $@;
249am__v_LEX_1 = 
250YLWRAP = $(top_srcdir)/ylwrap
251@MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
252am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
253		   -e s/c++$$/h++/ -e s/c$$/h/
254YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
255LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
256	$(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
257AM_V_YACC = $(am__v_YACC_@AM_V@)
258am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
259am__v_YACC_0 = @echo "  YACC    " $@;
260am__v_YACC_1 = 
261SOURCES = $(dist_libcom_err_la_SOURCES) \
262	$(nodist_libcom_err_la_SOURCES) $(compile_et_SOURCES)
263DIST_SOURCES = $(dist_libcom_err_la_SOURCES) $(compile_et_SOURCES)
264am__can_run_installinfo = \
265  case $$AM_UPDATE_INFO_DIR in \
266    n|no|NO) false;; \
267    *) (install-info --version) >/dev/null 2>&1;; \
268  esac
269HEADERS = $(include_HEADERS)
270am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271# Read a list of newline-separated strings from the standard input,
272# and print each of them once, without duplicates.  Input order is
273# *not* preserved.
274am__uniquify_input = $(AWK) '\
275  BEGIN { nonempty = 0; } \
276  { items[$$0] = 1; nonempty = 1; } \
277  END { if (nonempty) { for (i in items) print i; }; } \
278'
279# Make sure the list of sources is unique.  This is necessary because,
280# e.g., the same source file might be shared among _SOURCES variables
281# for different programs/libraries.
282am__define_uniq_tagged_files = \
283  list='$(am__tagged_files)'; \
284  unique=`for i in $$list; do \
285    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286  done | $(am__uniquify_input)`
287am__DIST_COMMON = $(srcdir)/Makefile.in \
288	$(top_srcdir)/Makefile.am.common \
289	$(top_srcdir)/cf/Makefile.am.common $(top_srcdir)/depcomp \
290	$(top_srcdir)/ylwrap ChangeLog lex.c parse.c parse.h
291DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
292ACLOCAL = @ACLOCAL@
293AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
294AMTAR = @AMTAR@
295AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
296AR = @AR@
297AS = @AS@
298ASN1_COMPILE = @ASN1_COMPILE@
299ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
300AUTOCONF = @AUTOCONF@
301AUTOHEADER = @AUTOHEADER@
302AUTOMAKE = @AUTOMAKE@
303AWK = @AWK@
304CANONICAL_HOST = @CANONICAL_HOST@
305CAPNG_CFLAGS = @CAPNG_CFLAGS@
306CAPNG_LIBS = @CAPNG_LIBS@
307CATMAN = @CATMAN@
308CATMANEXT = @CATMANEXT@
309CC = @CC@
310CCDEPMODE = @CCDEPMODE@
311CFLAGS = @CFLAGS@
312CLANG_FORMAT = @CLANG_FORMAT@
313COMPILE_ET = @COMPILE_ET@
314CPP = @CPP@
315CPPFLAGS = @CPPFLAGS@
316CSCOPE = @CSCOPE@
317CTAGS = @CTAGS@
318CYGPATH_W = @CYGPATH_W@
319DB1LIB = @DB1LIB@
320DB3LIB = @DB3LIB@
321DBHEADER = @DBHEADER@
322DEFS = @DEFS@
323DEPDIR = @DEPDIR@
324DIR_com_err = @DIR_com_err@
325DIR_hdbdir = @DIR_hdbdir@
326DIR_roken = @DIR_roken@
327DLLTOOL = @DLLTOOL@
328DSYMUTIL = @DSYMUTIL@
329DUMPBIN = @DUMPBIN@
330ECHO_C = @ECHO_C@
331ECHO_N = @ECHO_N@
332ECHO_T = @ECHO_T@
333EGREP = @EGREP@
334ENABLE_AFS_STRING_TO_KEY = @ENABLE_AFS_STRING_TO_KEY@
335ETAGS = @ETAGS@
336EXEEXT = @EXEEXT@
337FGREP = @FGREP@
338FILECMD = @FILECMD@
339GCD_MIG = @GCD_MIG@
340GREP = @GREP@
341GROFF = @GROFF@
342INCLUDES_roken = @INCLUDES_roken@
343INCLUDE_libedit = @INCLUDE_libedit@
344INCLUDE_libintl = @INCLUDE_libintl@
345INCLUDE_openldap = @INCLUDE_openldap@
346INCLUDE_openssl_crypto = @INCLUDE_openssl_crypto@
347INCLUDE_readline = @INCLUDE_readline@
348INCLUDE_sqlite3 = @INCLUDE_sqlite3@
349INSTALL = @INSTALL@
350INSTALL_DATA = @INSTALL_DATA@
351INSTALL_PROGRAM = @INSTALL_PROGRAM@
352INSTALL_SCRIPT = @INSTALL_SCRIPT@
353INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
354LD = @LD@
355LDFLAGS = @LDFLAGS@
356LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
357LEX = @LEX@
358LEXLIB = @LEXLIB@
359LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
360LIBADD_roken = @LIBADD_roken@
361LIBOBJS = @LIBOBJS@
362LIBS = @LIBS@
363LIBTOOL = @LIBTOOL@
364LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
365LIB_bswap16 = @LIB_bswap16@
366LIB_bswap32 = @LIB_bswap32@
367LIB_bswap64 = @LIB_bswap64@
368LIB_com_err = @LIB_com_err@
369LIB_com_err_a = @LIB_com_err_a@
370LIB_com_err_so = @LIB_com_err_so@
371LIB_crypt = @LIB_crypt@
372LIB_db_create = @LIB_db_create@
373LIB_dbm_firstkey = @LIB_dbm_firstkey@
374LIB_dbopen = @LIB_dbopen@
375LIB_dispatch_async_f = @LIB_dispatch_async_f@
376LIB_dladdr = @LIB_dladdr@
377LIB_dlopen = @LIB_dlopen@
378LIB_dn_expand = @LIB_dn_expand@
379LIB_dns_search = @LIB_dns_search@
380LIB_door_create = @LIB_door_create@
381LIB_freeaddrinfo = @LIB_freeaddrinfo@
382LIB_gai_strerror = @LIB_gai_strerror@
383LIB_getaddrinfo = @LIB_getaddrinfo@
384LIB_gethostbyname = @LIB_gethostbyname@
385LIB_gethostbyname2 = @LIB_gethostbyname2@
386LIB_getnameinfo = @LIB_getnameinfo@
387LIB_getpwnam_r = @LIB_getpwnam_r@
388LIB_getsockopt = @LIB_getsockopt@
389LIB_hcrypto = @LIB_hcrypto@
390LIB_hcrypto_a = @LIB_hcrypto_a@
391LIB_hcrypto_appl = @LIB_hcrypto_appl@
392LIB_hcrypto_so = @LIB_hcrypto_so@
393LIB_hstrerror = @LIB_hstrerror@
394LIB_kdb = @LIB_kdb@
395LIB_libedit = @LIB_libedit@
396LIB_libintl = @LIB_libintl@
397LIB_loadquery = @LIB_loadquery@
398LIB_logout = @LIB_logout@
399LIB_logwtmp = @LIB_logwtmp@
400LIB_openldap = @LIB_openldap@
401LIB_openpty = @LIB_openpty@
402LIB_openssl_crypto = @LIB_openssl_crypto@
403LIB_otp = @LIB_otp@
404LIB_pidfile = @LIB_pidfile@
405LIB_readline = @LIB_readline@
406LIB_res_ndestroy = @LIB_res_ndestroy@
407LIB_res_nsearch = @LIB_res_nsearch@
408LIB_res_search = @LIB_res_search@
409LIB_roken = @LIB_roken@
410LIB_security = @LIB_security@
411LIB_setsockopt = @LIB_setsockopt@
412LIB_socket = @LIB_socket@
413LIB_sqlite3 = @LIB_sqlite3@
414LIB_syslog = @LIB_syslog@
415LIB_tgetent = @LIB_tgetent@
416LIPO = @LIPO@
417LMDBLIB = @LMDBLIB@
418LN_S = @LN_S@
419LTLIBOBJS = @LTLIBOBJS@
420LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
421MAINT = @MAINT@
422MAKEINFO = @MAKEINFO@
423MANIFEST_TOOL = @MANIFEST_TOOL@
424MKDIR_P = @MKDIR_P@
425NDBMLIB = @NDBMLIB@
426NM = @NM@
427NMEDIT = @NMEDIT@
428NO_AFS = @NO_AFS@
429NROFF = @NROFF@
430OBJDUMP = @OBJDUMP@
431OBJEXT = @OBJEXT@
432OTOOL = @OTOOL@
433OTOOL64 = @OTOOL64@
434PACKAGE = @PACKAGE@
435PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436PACKAGE_NAME = @PACKAGE_NAME@
437PACKAGE_STRING = @PACKAGE_STRING@
438PACKAGE_TARNAME = @PACKAGE_TARNAME@
439PACKAGE_URL = @PACKAGE_URL@
440PACKAGE_VERSION = @PACKAGE_VERSION@
441PATH_SEPARATOR = @PATH_SEPARATOR@
442PERL = @PERL@
443PKG_CONFIG = @PKG_CONFIG@
444PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
445PTHREAD_LDADD = @PTHREAD_LDADD@
446PTHREAD_LIBADD = @PTHREAD_LIBADD@
447PYTHON = @PYTHON@
448PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
449PYTHON_PLATFORM = @PYTHON_PLATFORM@
450PYTHON_PREFIX = @PYTHON_PREFIX@
451PYTHON_VERSION = @PYTHON_VERSION@
452RANLIB = @RANLIB@
453SED = @SED@
454SET_MAKE = @SET_MAKE@
455SHELL = @SHELL@
456SLC = @SLC@
457SLC_DEP = @SLC_DEP@
458STRIP = @STRIP@
459VERSION = @VERSION@
460VERSIONING = @VERSIONING@
461WFLAGS = @WFLAGS@
462WFLAGS_LITE = @WFLAGS_LITE@
463YACC = @YACC@
464YFLAGS = -d
465abs_builddir = @abs_builddir@
466abs_srcdir = @abs_srcdir@
467abs_top_builddir = @abs_top_builddir@
468abs_top_srcdir = @abs_top_srcdir@
469ac_ct_AR = @ac_ct_AR@
470ac_ct_CC = @ac_ct_CC@
471ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
472am__include = @am__include@
473am__leading_dot = @am__leading_dot@
474am__quote = @am__quote@
475am__tar = @am__tar@
476am__untar = @am__untar@
477bindir = @bindir@
478build = @build@
479build_alias = @build_alias@
480build_cpu = @build_cpu@
481build_os = @build_os@
482build_vendor = @build_vendor@
483builddir = @builddir@
484datadir = @datadir@
485datarootdir = @datarootdir@
486db_type = @db_type@
487db_type_preference = @db_type_preference@
488docdir = @docdir@
489dpagaix_cflags = @dpagaix_cflags@
490dpagaix_ldadd = @dpagaix_ldadd@
491dpagaix_ldflags = @dpagaix_ldflags@
492dvidir = @dvidir@
493exec_prefix = @exec_prefix@
494host = @host@
495host_alias = @host_alias@
496host_cpu = @host_cpu@
497host_os = @host_os@
498host_vendor = @host_vendor@
499htmldir = @htmldir@
500includedir = @includedir@
501infodir = @infodir@
502install_sh = @install_sh@
503libdir = @libdir@
504libexecdir = @libexecdir@
505localedir = @localedir@
506localstatedir = @localstatedir@
507mandir = @mandir@
508mkdir_p = @mkdir_p@
509oldincludedir = @oldincludedir@
510pdfdir = @pdfdir@
511pkgpyexecdir = @pkgpyexecdir@
512pkgpythondir = @pkgpythondir@
513prefix = @prefix@
514program_transform_name = @program_transform_name@
515psdir = @psdir@
516pyexecdir = @pyexecdir@
517pythondir = @pythondir@
518runstatedir = @runstatedir@
519sbindir = @sbindir@
520sharedstatedir = @sharedstatedir@
521srcdir = @srcdir@
522subdirs = @subdirs@
523sysconfdir = @sysconfdir@
524target_alias = @target_alias@
525top_build_prefix = @top_build_prefix@
526top_builddir = @top_builddir@
527top_srcdir = @top_srcdir@
528SUFFIXES = .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 \
529	.cat5 .cat7 .cat8
530DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
531AM_CPPFLAGS = $(INCLUDES_roken)
532@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
533AM_CFLAGS = $(WFLAGS)
534CP = cp
535buildinclude = $(top_builddir)/include
536LIB_XauReadAuth = @LIB_XauReadAuth@
537LIB_el_init = @LIB_el_init@
538LIB_getattr = @LIB_getattr@
539LIB_getpwent_r = @LIB_getpwent_r@
540LIB_odm_initialize = @LIB_odm_initialize@
541LIB_setpcred = @LIB_setpcred@
542INCLUDE_krb4 = @INCLUDE_krb4@
543LIB_krb4 = @LIB_krb4@
544libexec_heimdaldir = $(libexecdir)/heimdal
545NROFF_MAN = groff -mandoc -Tascii
546@NO_AFS_FALSE@LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
547@NO_AFS_TRUE@LIB_kafs = 
548@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
549@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
550
551@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
552LIB_heimbase = $(top_builddir)/lib/base/libheimbase.la
553@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
554
555#silent-rules
556heim_verbose = $(heim_verbose_$(V))
557heim_verbose_ = $(heim_verbose_$(AM_DEFAULT_VERBOSITY))
558heim_verbose_0 = @echo "  GEN    "$@;
559lib_LTLIBRARIES = libcom_err.la
560libcom_err_la_LDFLAGS = -version-info 2:3:1 $(am__append_1)
561libcom_err_la_LIBADD = $(LIB_libintl)
562include_HEADERS = com_err.h com_right.h
563compile_et_SOURCES = compile_et.c compile_et.h parse.y lex.l lex.h
564libcom_err_la_CPPFLAGS = $(ROKEN_RENAME) $(INCLUDE_libintl)
565dist_libcom_err_la_SOURCES = error.c com_err.c roken_rename.h
566@do_roken_rename_TRUE@nodist_libcom_err_la_SOURCES = snprintf.c strlcpy.c
567libcom_err_la_DEPENDENCIES = version-script.map
568compile_et_LDADD = \
569	libcom_err.la \
570	$(LIB_roken) \
571	$(LEXLIB)
572
573EXTRA_DIST = \
574	NTMakefile \
575	com_err.3 \
576	compile_et-version.rc \
577	libcom_err-version.rc \
578	libcom_err-exports.def \
579	version-script.map
580
581all: all-am
582
583.SUFFIXES:
584.SUFFIXES: .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 .cat5 .cat7 .cat8 .c .l .lo .o .obj .y
585$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
586	@for dep in $?; do \
587	  case '$(am__configure_deps)' in \
588	    *$$dep*) \
589	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
590	        && { if test -f $@; then exit 0; else break; fi; }; \
591	      exit 1;; \
592	  esac; \
593	done; \
594	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/com_err/Makefile'; \
595	$(am__cd) $(top_srcdir) && \
596	  $(AUTOMAKE) --foreign lib/com_err/Makefile
597Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
598	@case '$?' in \
599	  *config.status*) \
600	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
601	  *) \
602	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
603	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
604	esac;
605$(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__empty):
606
607$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
608	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
609
610$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
611	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
612$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
613	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
614$(am__aclocal_m4_deps):
615
616clean-noinstPROGRAMS:
617	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
618	echo " rm -f" $$list; \
619	rm -f $$list || exit $$?; \
620	test -n "$(EXEEXT)" || exit 0; \
621	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
622	echo " rm -f" $$list; \
623	rm -f $$list
624
625install-libLTLIBRARIES: $(lib_LTLIBRARIES)
626	@$(NORMAL_INSTALL)
627	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
628	list2=; for p in $$list; do \
629	  if test -f $$p; then \
630	    list2="$$list2 $$p"; \
631	  else :; fi; \
632	done; \
633	test -z "$$list2" || { \
634	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
635	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
636	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
637	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
638	}
639
640uninstall-libLTLIBRARIES:
641	@$(NORMAL_UNINSTALL)
642	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
643	for p in $$list; do \
644	  $(am__strip_dir) \
645	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
646	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
647	done
648
649clean-libLTLIBRARIES:
650	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
651	@list='$(lib_LTLIBRARIES)'; \
652	locs=`for p in $$list; do echo $$p; done | \
653	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
654	      sort -u`; \
655	test -z "$$locs" || { \
656	  echo rm -f $${locs}; \
657	  rm -f $${locs}; \
658	}
659
660libcom_err.la: $(libcom_err_la_OBJECTS) $(libcom_err_la_DEPENDENCIES) $(EXTRA_libcom_err_la_DEPENDENCIES) 
661	$(AM_V_CCLD)$(libcom_err_la_LINK) -rpath $(libdir) $(libcom_err_la_OBJECTS) $(libcom_err_la_LIBADD) $(LIBS)
662parse.h: parse.c
663	@if test ! -f $@; then rm -f parse.c; else :; fi
664	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) parse.c; else :; fi
665
666compile_et$(EXEEXT): $(compile_et_OBJECTS) $(compile_et_DEPENDENCIES) $(EXTRA_compile_et_DEPENDENCIES) 
667	@rm -f compile_et$(EXEEXT)
668	$(AM_V_CCLD)$(LINK) $(compile_et_OBJECTS) $(compile_et_LDADD) $(LIBS)
669
670mostlyclean-compile:
671	-rm -f *.$(OBJEXT)
672
673distclean-compile:
674	-rm -f *.tab.c
675
676@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compile_et.Po@am__quote@ # am--include-marker
677@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lex.Po@am__quote@ # am--include-marker
678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-com_err.Plo@am__quote@ # am--include-marker
679@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-error.Plo@am__quote@ # am--include-marker
680@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-snprintf.Plo@am__quote@ # am--include-marker
681@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-strlcpy.Plo@am__quote@ # am--include-marker
682@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse.Po@am__quote@ # am--include-marker
683
684$(am__depfiles_remade):
685	@$(MKDIR_P) $(@D)
686	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
687
688am--depfiles: $(am__depfiles_remade)
689
690.c.o:
691@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
692@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
693@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
694@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
696
697.c.obj:
698@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
699@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
700@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
701@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
703
704.c.lo:
705@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
706@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
707@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
708@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
710
711libcom_err_la-error.lo: error.c
712@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-error.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-error.Tpo -c -o libcom_err_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
713@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcom_err_la-error.Tpo $(DEPDIR)/libcom_err_la-error.Plo
714@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='error.c' object='libcom_err_la-error.lo' libtool=yes @AMDEPBACKSLASH@
715@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
717
718libcom_err_la-com_err.lo: com_err.c
719@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-com_err.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-com_err.Tpo -c -o libcom_err_la-com_err.lo `test -f 'com_err.c' || echo '$(srcdir)/'`com_err.c
720@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcom_err_la-com_err.Tpo $(DEPDIR)/libcom_err_la-com_err.Plo
721@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='com_err.c' object='libcom_err_la-com_err.lo' libtool=yes @AMDEPBACKSLASH@
722@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-com_err.lo `test -f 'com_err.c' || echo '$(srcdir)/'`com_err.c
724
725libcom_err_la-snprintf.lo: snprintf.c
726@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-snprintf.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-snprintf.Tpo -c -o libcom_err_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
727@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcom_err_la-snprintf.Tpo $(DEPDIR)/libcom_err_la-snprintf.Plo
728@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='snprintf.c' object='libcom_err_la-snprintf.lo' libtool=yes @AMDEPBACKSLASH@
729@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
731
732libcom_err_la-strlcpy.lo: strlcpy.c
733@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-strlcpy.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-strlcpy.Tpo -c -o libcom_err_la-strlcpy.lo `test -f 'strlcpy.c' || echo '$(srcdir)/'`strlcpy.c
734@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcom_err_la-strlcpy.Tpo $(DEPDIR)/libcom_err_la-strlcpy.Plo
735@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='strlcpy.c' object='libcom_err_la-strlcpy.lo' libtool=yes @AMDEPBACKSLASH@
736@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-strlcpy.lo `test -f 'strlcpy.c' || echo '$(srcdir)/'`strlcpy.c
738
739.l.c:
740	$(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
741
742.y.c:
743	$(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
744
745mostlyclean-libtool:
746	-rm -f *.lo
747
748clean-libtool:
749	-rm -rf .libs _libs
750install-includeHEADERS: $(include_HEADERS)
751	@$(NORMAL_INSTALL)
752	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
753	if test -n "$$list"; then \
754	  echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
755	  $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
756	fi; \
757	for p in $$list; do \
758	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
759	  echo "$$d$$p"; \
760	done | $(am__base_list) | \
761	while read files; do \
762	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
763	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
764	done
765
766uninstall-includeHEADERS:
767	@$(NORMAL_UNINSTALL)
768	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
769	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
770	dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
771
772ID: $(am__tagged_files)
773	$(am__define_uniq_tagged_files); mkid -fID $$unique
774tags: tags-am
775TAGS: tags
776
777tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
778	set x; \
779	here=`pwd`; \
780	$(am__define_uniq_tagged_files); \
781	shift; \
782	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
783	  test -n "$$unique" || unique=$$empty_fix; \
784	  if test $$# -gt 0; then \
785	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
786	      "$$@" $$unique; \
787	  else \
788	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
789	      $$unique; \
790	  fi; \
791	fi
792ctags: ctags-am
793
794CTAGS: ctags
795ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
796	$(am__define_uniq_tagged_files); \
797	test -z "$(CTAGS_ARGS)$$unique" \
798	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
799	     $$unique
800
801GTAGS:
802	here=`$(am__cd) $(top_builddir) && pwd` \
803	  && $(am__cd) $(top_srcdir) \
804	  && gtags -i $(GTAGS_ARGS) "$$here"
805cscopelist: cscopelist-am
806
807cscopelist-am: $(am__tagged_files)
808	list='$(am__tagged_files)'; \
809	case "$(srcdir)" in \
810	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
811	  *) sdir=$(subdir)/$(srcdir) ;; \
812	esac; \
813	for i in $$list; do \
814	  if test -f "$$i"; then \
815	    echo "$(subdir)/$$i"; \
816	  else \
817	    echo "$$sdir/$$i"; \
818	  fi; \
819	done >> $(top_builddir)/cscope.files
820
821distclean-tags:
822	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
823distdir: $(BUILT_SOURCES)
824	$(MAKE) $(AM_MAKEFLAGS) distdir-am
825
826distdir-am: $(DISTFILES)
827	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
828	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
829	list='$(DISTFILES)'; \
830	  dist_files=`for file in $$list; do echo $$file; done | \
831	  sed -e "s|^$$srcdirstrip/||;t" \
832	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
833	case $$dist_files in \
834	  */*) $(MKDIR_P) `echo "$$dist_files" | \
835			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
836			   sort -u` ;; \
837	esac; \
838	for file in $$dist_files; do \
839	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
840	  if test -d $$d/$$file; then \
841	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
842	    if test -d "$(distdir)/$$file"; then \
843	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
844	    fi; \
845	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
846	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
847	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
848	    fi; \
849	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
850	  else \
851	    test -f "$(distdir)/$$file" \
852	    || cp -p $$d/$$file "$(distdir)/$$file" \
853	    || exit 1; \
854	  fi; \
855	done
856	$(MAKE) $(AM_MAKEFLAGS) \
857	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
858	  dist-hook
859check-am: all-am
860	$(MAKE) $(AM_MAKEFLAGS) check-local
861check: check-am
862all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(HEADERS) all-local
863installdirs:
864	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
865	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
866	done
867install: install-am
868install-exec: install-exec-am
869install-data: install-data-am
870uninstall: uninstall-am
871
872install-am: all-am
873	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
874
875installcheck: installcheck-am
876install-strip:
877	if test -z '$(STRIP)'; then \
878	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
879	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
880	      install; \
881	else \
882	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
883	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
884	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
885	fi
886mostlyclean-generic:
887
888clean-generic:
889
890distclean-generic:
891	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
892	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
893
894maintainer-clean-generic:
895	@echo "This command is intended for maintainers to use"
896	@echo "it deletes files that may require special tools to rebuild."
897	-rm -f lex.c
898	-rm -f parse.c
899	-rm -f parse.h
900clean: clean-am
901
902clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
903	clean-noinstPROGRAMS mostlyclean-am
904
905distclean: distclean-am
906		-rm -f ./$(DEPDIR)/compile_et.Po
907	-rm -f ./$(DEPDIR)/lex.Po
908	-rm -f ./$(DEPDIR)/libcom_err_la-com_err.Plo
909	-rm -f ./$(DEPDIR)/libcom_err_la-error.Plo
910	-rm -f ./$(DEPDIR)/libcom_err_la-snprintf.Plo
911	-rm -f ./$(DEPDIR)/libcom_err_la-strlcpy.Plo
912	-rm -f ./$(DEPDIR)/parse.Po
913	-rm -f Makefile
914distclean-am: clean-am distclean-compile distclean-generic \
915	distclean-tags
916
917dvi: dvi-am
918
919dvi-am:
920
921html: html-am
922
923html-am:
924
925info: info-am
926
927info-am:
928
929install-data-am: install-includeHEADERS
930	@$(NORMAL_INSTALL)
931	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
932install-dvi: install-dvi-am
933
934install-dvi-am:
935
936install-exec-am: install-exec-local install-libLTLIBRARIES
937
938install-html: install-html-am
939
940install-html-am:
941
942install-info: install-info-am
943
944install-info-am:
945
946install-man:
947
948install-pdf: install-pdf-am
949
950install-pdf-am:
951
952install-ps: install-ps-am
953
954install-ps-am:
955
956installcheck-am:
957
958maintainer-clean: maintainer-clean-am
959		-rm -f ./$(DEPDIR)/compile_et.Po
960	-rm -f ./$(DEPDIR)/lex.Po
961	-rm -f ./$(DEPDIR)/libcom_err_la-com_err.Plo
962	-rm -f ./$(DEPDIR)/libcom_err_la-error.Plo
963	-rm -f ./$(DEPDIR)/libcom_err_la-snprintf.Plo
964	-rm -f ./$(DEPDIR)/libcom_err_la-strlcpy.Plo
965	-rm -f ./$(DEPDIR)/parse.Po
966	-rm -f Makefile
967maintainer-clean-am: distclean-am maintainer-clean-generic
968
969mostlyclean: mostlyclean-am
970
971mostlyclean-am: mostlyclean-compile mostlyclean-generic \
972	mostlyclean-libtool
973
974pdf: pdf-am
975
976pdf-am:
977
978ps: ps-am
979
980ps-am:
981
982uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES
983	@$(NORMAL_INSTALL)
984	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
985.MAKE: check-am install-am install-data-am install-strip uninstall-am
986
987.PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
988	check-am check-local clean clean-generic clean-libLTLIBRARIES \
989	clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \
990	ctags-am dist-hook distclean distclean-compile \
991	distclean-generic distclean-libtool distclean-tags distdir dvi \
992	dvi-am html html-am info info-am install install-am \
993	install-data install-data-am install-data-hook install-dvi \
994	install-dvi-am install-exec install-exec-am install-exec-local \
995	install-html install-html-am install-includeHEADERS \
996	install-info install-info-am install-libLTLIBRARIES \
997	install-man install-pdf install-pdf-am install-ps \
998	install-ps-am install-strip installcheck installcheck-am \
999	installdirs maintainer-clean maintainer-clean-generic \
1000	mostlyclean mostlyclean-compile mostlyclean-generic \
1001	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1002	uninstall-am uninstall-hook uninstall-includeHEADERS \
1003	uninstall-libLTLIBRARIES
1004
1005.PRECIOUS: Makefile
1006
1007
1008install-suid-programs:
1009	@foo='$(bin_SUIDS)'; \
1010	for file in $$foo; do \
1011		x=$(DESTDIR)$(bindir)/$$file; \
1012		if chown 0:0 $$x && chmod u+s $$x; then :; else \
1013			echo "*"; \
1014			echo "* Failed to install $$x setuid root"; \
1015			echo "*"; \
1016		fi; \
1017	done
1018
1019install-exec-local: install-suid-programs
1020
1021codesign-all:
1022	@if [ X"$$CODE_SIGN_IDENTITY" != X ] ; then \
1023		foo='$(bin_PROGRAMS) $(sbin_PROGRAMS) $(libexec_PROGRAMS)' ; \
1024		for file in $$foo ; do \
1025			echo "CODESIGN $$file" ; \
1026			codesign -f -s "$$CODE_SIGN_IDENTITY" $$file || exit 1 ; \
1027		done ; \
1028	fi
1029
1030all-local: codesign-all
1031
1032install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS) $(noinst_HEADERS)
1033	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(noinst_HEADERS)'; \
1034	for f in $$foo; do \
1035		f=`basename $$f`; \
1036		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1037		else file="$$f"; fi; \
1038		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1039		: ; else \
1040			echo " $(CP) $$file $(buildinclude)/$$f"; \
1041			$(CP) $$file $(buildinclude)/$$f || true; \
1042		fi ; \
1043	done ; \
1044	foo='$(nobase_include_HEADERS)'; \
1045	for f in $$foo; do \
1046		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1047		else file="$$f"; fi; \
1048		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1049		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1050		: ; else \
1051			echo " $(CP) $$file $(buildinclude)/$$f"; \
1052			$(CP) $$file $(buildinclude)/$$f; \
1053		fi ; \
1054	done
1055
1056all-local: install-build-headers
1057
1058check-local::
1059	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1060	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1061	  foo='$(CHECK_LOCAL)'; else \
1062	  foo='$(PROGRAMS)'; fi; \
1063	  if test "$$foo"; then \
1064	  failed=0; all=0; \
1065	  for i in $$foo; do \
1066	    all=`expr $$all + 1`; \
1067	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1068	      echo "PASS: $$i"; \
1069	    else \
1070	      echo "FAIL: $$i"; \
1071	      failed=`expr $$failed + 1`; \
1072	    fi; \
1073	  done; \
1074	  if test "$$failed" -eq 0; then \
1075	    banner="All $$all tests passed"; \
1076	  else \
1077	    banner="$$failed of $$all tests failed"; \
1078	  fi; \
1079	  dashes=`echo "$$banner" | sed s/./=/g`; \
1080	  echo "$$dashes"; \
1081	  echo "$$banner"; \
1082	  echo "$$dashes"; \
1083	  test "$$failed" -eq 0 || exit 1; \
1084	fi
1085
1086# It's useful for debugging to format generated sources.  The default for all
1087# clang-format styles is to sort includes, but in many cases in-tree we really
1088# don't want to do that.
1089.x.c:
1090	@if [ -z "$(CLANG_FORMAT)" ]; then \
1091	    cmp -s $< $@ 2> /dev/null || cp $< $@; \
1092	else \
1093	    cp $< $@.tmp.c; \
1094            $(CLANG_FORMAT) -style='{BasedOnStyle: Chromium, SortIncludes: false}' -i $@.tmp.c; \
1095	    cmp -s $@.tmp.c $@ 2> /dev/null || mv $@.tmp.c $@; \
1096	fi
1097
1098.hx.h:
1099	@cmp -s $< $@ 2> /dev/null || cp $< $@;
1100#NROFF_MAN = nroff -man
1101.1.cat1:
1102	$(NROFF_MAN) $< > $@
1103.3.cat3:
1104	$(NROFF_MAN) $< > $@
1105.5.cat5:
1106	$(NROFF_MAN) $< > $@
1107.7.cat7:
1108	$(NROFF_MAN) $< > $@
1109.8.cat8:
1110	$(NROFF_MAN) $< > $@
1111
1112dist-cat1-mans:
1113	@foo='$(man1_MANS)'; \
1114	bar='$(man_MANS)'; \
1115	for i in $$bar; do \
1116	case $$i in \
1117	*.1) foo="$$foo $$i";; \
1118	esac; done ;\
1119	for i in $$foo; do \
1120		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1121		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1122		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1123	done
1124
1125dist-cat3-mans:
1126	@foo='$(man3_MANS)'; \
1127	bar='$(man_MANS)'; \
1128	for i in $$bar; do \
1129	case $$i in \
1130	*.3) foo="$$foo $$i";; \
1131	esac; done ;\
1132	for i in $$foo; do \
1133		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1134		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1135		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1136	done
1137
1138dist-cat5-mans:
1139	@foo='$(man5_MANS)'; \
1140	bar='$(man_MANS)'; \
1141	for i in $$bar; do \
1142	case $$i in \
1143	*.5) foo="$$foo $$i";; \
1144	esac; done ;\
1145	for i in $$foo; do \
1146		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1147		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1148		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1149	done
1150
1151dist-cat7-mans:
1152	@foo='$(man7_MANS)'; \
1153	bar='$(man_MANS)'; \
1154	for i in $$bar; do \
1155	case $$i in \
1156	*.7) foo="$$foo $$i";; \
1157	esac; done ;\
1158	for i in $$foo; do \
1159		x=`echo $$i | sed 's/\.[^.]*$$/.cat7/'`; \
1160		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1161		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1162	done
1163
1164dist-cat8-mans:
1165	@foo='$(man8_MANS)'; \
1166	bar='$(man_MANS)'; \
1167	for i in $$bar; do \
1168	case $$i in \
1169	*.8) foo="$$foo $$i";; \
1170	esac; done ;\
1171	for i in $$foo; do \
1172		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1173		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1174		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1175	done
1176
1177dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat7-mans dist-cat8-mans
1178
1179install-cat-mans:
1180	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1181
1182uninstall-cat-mans:
1183	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1184
1185install-data-hook: install-cat-mans
1186uninstall-hook: uninstall-cat-mans
1187
1188.et.h:
1189	$(COMPILE_ET) $<
1190.et.c:
1191	$(COMPILE_ET) $<
1192
1193#
1194# Useful target for debugging
1195#
1196
1197check-valgrind:
1198	tobjdir=`cd $(top_builddir) && pwd` ; \
1199	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1200	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1201
1202#
1203# Target to please samba build farm, builds distfiles in-tree.
1204# Will break when automake changes...
1205#
1206
1207distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1208	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1209	  if test "$$subdir" != .; then \
1210	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1211	  fi ; \
1212	done
1213
1214$(compile_et_OBJECTS): parse.h parse.c ## XXX broken automake 1.4s
1215
1216snprintf.c:
1217	$(LN_S) $(srcdir)/../roken/snprintf.c .
1218strlcpy.c:
1219	$(LN_S) $(srcdir)/../roken/strlcpy.c .
1220
1221# Tell versions [3.59,3.63) of GNU make to not export all variables.
1222# Otherwise a system limit (for SysV at least) may be exceeded.
1223.NOEXPORT:
1224